Click or drag to resize

BrepCreateFromTaperedExtrude Method (Curve, Double, Vector3d, Point3d, Double, ExtrudeCornerType)

Extrude a curve to a taper making a brep (potentially more than 1)

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep[] CreateFromTaperedExtrude(
	Curve curveToExtrude,
	double distance,
	Vector3d direction,
	Point3d basePoint,
	double draftAngleRadians,
	ExtrudeCornerType cornerType
)

Parameters

curveToExtrude
Type: Rhino.GeometryCurve
the curve to extrude
distance
Type: SystemDouble
the distance to extrude
direction
Type: Rhino.GeometryVector3d
the direction of the extrusion
basePoint
Type: Rhino.GeometryPoint3d
the basepoint of the extrusion
draftAngleRadians
Type: SystemDouble
angle of the extrusion
cornerType
Type: Rhino.GeometryExtrudeCornerType

[Missing <param name="cornerType"/> documentation for "M:Rhino.Geometry.Brep.CreateFromTaperedExtrude(Rhino.Geometry.Curve,System.Double,Rhino.Geometry.Vector3d,Rhino.Geometry.Point3d,System.Double,Rhino.Geometry.ExtrudeCornerType)"]

Return Value

Type: Brep
array of breps on success
Remarks
tolerances used are based on the active doc tolerance
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Obsolete (compiler warning) in 6.0
See Also